ZUNIK(3)

SYNOPSIS
SUBROUTINE ZUNIK (ZRR, ZRI, FNU, IKFLG, IPMTR, TOL, INIT, PHIR, + PHII, ZETA1R, ZETA1I, ZETA2R, ZETA2I, SUMR, SUMI, CWRKR, CWRKI)

NAME
zunik - Subsidiary to ZBESI and ZBESK

LIBRARY
SLATEC

TYPE
ALL (CUNIK-A, ZUNIK-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
ZUNIK COMPUTES PARAMETERS FOR THE UNIFORM ASYMPTOTIC EXPANSIONS OF THE I AND K FUNCTIONS ON IKFLG= 1 OR 2 RESPECTIVELY BY W(FNU,ZR) = PHI*EXP(ZETA)*SUM WHERE ZETA=-ZETA1 + ZETA2 OR ZETA1 - ZETA2 THE FIRST CALL MUST HAVE INIT=0. SUBSEQUENT CALLS WITH THE SAME ZR AND FNU WILL RETURN THE I OR K FUNCTION ON IKFLG= 1 OR 2 WITH NO CHANGE IN INIT. CWRK IS A COMPLEX WORK ARRAY. IPMTR=0 COMPUTES ALL PARAMETERS. IPMTR=1 COMPUTES PHI, ZETA1,ZETA2.

SEE ALSO
ZBESI, ZBESK

ROUTINES CALLED
D1MACH, ZDIV, ZLOG, ZSQRT

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)
930122 Added EXTERNAL statement with ZLOG and ZSQRT. (RWC)